GET http://[host-proxy]/api/device/spark/PersonNumbers/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"id": {
"type": "string",
"readonly": true,
"title": "ID",
"maxLength": 1024
},
"personId": {
"title": "Person ID",
"description": "The ID of the person to assign the phone number to.",
"type": "string",
"required": true,
"maxLength": 1024
},
"phoneNumber": {
"title": "Phone Number",
"description": "The phone number to assign as a secondary number (e.g., +1 408 526 7209).",
"type": "string",
"required": true,
"maxLength": 1024
},
"extension": {
"title": "Extension",
"description": "Optional extension for the phone number.",
"type": "string",
"required": false,
"maxLength": 1024
}
},
"schema_version": "1.0.0"
}